aboutsummaryrefslogtreecommitdiffstats
path: root/main/phodav/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-07-23 07:54:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-07-23 07:54:55 +0000
commitd95369edaf2e39856e5ff8328c5449e7ea03cf4a (patch)
tree3a87271ca1afc2c8f0dc8963668b011d570bdb08 /main/phodav/APKBUILD
parentfe740e0abee518c5b26ba83ee9577a3c4a684920 (diff)
downloadaports-d95369edaf2e39856e5ff8328c5449e7ea03cf4a.tar.gz
aports-d95369edaf2e39856e5ff8328c5449e7ea03cf4a.tar.bz2
aports-d95369edaf2e39856e5ff8328c5449e7ea03cf4a.tar.xz
main/phodav: move from testing
Diffstat (limited to 'main/phodav/APKBUILD')
-rw-r--r--main/phodav/APKBUILD72
1 files changed, 72 insertions, 0 deletions
diff --git a/main/phodav/APKBUILD b/main/phodav/APKBUILD
new file mode 100644
index 0000000000..fad971b229
--- /dev/null
+++ b/main/phodav/APKBUILD
@@ -0,0 +1,72 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=phodav
+pkgver=2.0
+pkgrel=0
+pkgdesc="A WebDAV server using libsoup"
+url="https://wiki.gnome.org/phodav"
+arch="all"
+license="LGPLv2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev libsoup-dev avahi-dev intltool"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang chezdav
+ spice-webdavd:spice"
+source="http://download.gnome.org/sources/phodav/$pkgver/phodav-$pkgver.tar.xz
+ spice-webdavd.initd"
+
+_builddir="$srcdir"/phodav-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ DATADIRNAME=share ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --with-avahi \
+ --with-udevdir=/lib/udev \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -rf "$pkgdir"/usr/lib/*.la "$pkgdir"/usr/lib/systemd
+ install -Dm755 "$srcdir"/spice-webdavd.initd \
+ "$pkgdir"/etc/init.d/spice-webdavd
+}
+
+chezdav() {
+ pkgdesc="A simple WebDAV server program"
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
+}
+
+spice() {
+ pkgdesc="Spice daemon for the DAV channel"
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/sbin "$subpkgdir"/usr/
+ mv "$pkgdir"/lib "$pkgdir"/etc "$subpkgdir"/
+}
+
+
+md5sums="f91d8db3d86fb9e74e03258781be4d2b phodav-2.0.tar.xz
+b10b67eb1df21afa54a489b31d686c69 spice-webdavd.initd"
+sha256sums="53b42faf2d6edfb0072dbbbe9b8360d8603cca2cacd142df8d1781b9ba0cb9ed phodav-2.0.tar.xz
+b5c5ed8e9c38a77542062328608c091faf04e81ffb9ba37a0e3b68e97d71cb84 spice-webdavd.initd"
+sha512sums="4da0f3ef7ce2ffd89e43569ad00456f9580f4005a6830a8cc36a7787cc9e06d285326376373a0d690a1868b1c10da0f3ba49b4eb8dcff3042f5c64cbe1fe0aba phodav-2.0.tar.xz
+9c38481ea8d59c4abee273080e7c48804c1453669804de008a98324c47e21253cbedf7b78e734afd12f4769fe3b451972f44d1dfd53012e2af02605a7fb2b916 spice-webdavd.initd"